IF OBJECT_ID('[ProGetLicensingViolations_Extended]') IS NOT NULL DROP VIEW [ProGetLicensingViolations_Extended]
GO

CREATE VIEW [ProGetLicensingViolations_Extended]
AS
	SELECT PLV.[Violation_Id],
	       PLV.[Feed_Id],
		   F.[Feed_Name],
		   PLV.[Connector_Id],
		   C.[Connector_Name],
		   PLV.[ConnectedTo_Url],
		   PLV.[ConnectedFrom_IP],
		   PLV.[ConnectedFrom_UserAgent],
		   PLV.[LastModified_Date],
		   PLV.[Violation_Count]
	  FROM [ProGetLicensingViolations] PLV
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = PLV.[Feed_Id]
		   LEFT JOIN [Connectors] C
		          ON C.[Connector_Id] = PLV.[Connector_Id]

GO
